<p align="center">
  <h1 align="center">Huawei Contact Shield Flutter Plugin</h1>
</p>


<p align="center">
  <a href="https://pub.dev/packages/huawei_contactshield"><img src="https://img.shields.io/pub/v/huawei_contactshield?style=for-the-badge" alt="pub.dev version"></a>
</p>

Huawei Contact Shield is a basic contact tracing service developed based on the Bluetooth low energy (BLE) technology. Global public health institutions can authorize developers to develop COVID-19 contact tracing apps using Contact Shield APIs. These apps can interact with other devices while protecting user privacy to check whether a user has been in contact with a person tested positive for COVID-19. If so, the user will be notified and instructed to take relevant measures, effectively controlling the spread of the virus.

[Learn More](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/introduction-0000001062844379?ha_source=hms1)

## Installation

Please see [pub.dev](https://pub.dev/packages/huawei_contactshield/install) and [AppGallery Connect Configuration](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/config-agc-0000001063414698?ha_source=hms1).

## Documentation

- [Quick Start](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/principles-0000001063245130?ha_source=hms1)
- [Reference](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-References/overview-0000001063989606?ha_source=hms1)

### Additional Topics

- [SDK Data Security](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/sdk-data-security-0000001063900356?ha_source=hms1)

## Questions or Issues

If you have questions about how to use HMS samples, try the following options:

- [Stack Overflow](https://stackoverflow.com/questions/tagged/huawei-mobile-services) is the best place for any programming questions. Be sure to tag your question with **huawei-mobile-services**.
- [Github](https://github.com/HMS-Core/hms-flutter-plugin) is the official repository for these plugins, You can open an issue or submit your ideas.
- [Huawei Developer Forum](https://forums.developer.huawei.com/forumPortal/en/home?fid=0101187876626530001?ha_source=hms1) HMS Core Module is great for general questions, or seeking recommendations and opinions.
- [Huawei Developer Docs](https://developer.huawei.com/consumer/en/doc/overview/HMS-Core-Plugin?ha_source=hms1) is place to official documentation for all HMS Core Kits, you can find detailed documentations in there.

If you run into a bug in our samples, please submit an issue to the [GitHub repository](https://github.com/HMS-Core/hms-flutter-plugin).

## License

Huawei Contact Shield Flutter Plugin is licensed under [Apache 2.0 license](LICENCE)
